Pular para o conteúdo principal
GET
/
api
/
v1
/
calendars
/
{calendar_id}
/
events
curl "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events?from=2024-01-15T00:00:00Z&to=2024-01-22T00:00:00Z" \
  -H "Authorization: Bearer talq_your_environment_token_here"
{
  "success": true,
  "data": [
    {
      "id": "event-uuid-1",
      "calendar_id": "calendar-uuid-1",
      "title": "Demo with Acme",
      "start_at": "2024-01-15T15:00:00Z",
      "end_at": "2024-01-15T15:30:00Z",
      "status": "confirmed",
      "type": "meeting"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

Listar Eventos do Calendário

Listar eventos em um único calendário, opcionalmente filtrados por intervalo de tempo.

Endpoint

GET /api/v1/calendars/{calendar_id}/events

Parâmetros de Caminho

calendar_id
string
obrigatório
UUID do calendário.

Parâmetros de Consulta

from
string
Limite inferior ISO 8601 para start_at.
to
string
Limite superior ISO 8601 para end_at.
status
string
Filtrar por status: confirmed, tentative, cancelled.

Cabeçalhos da Requisição

Authorization
string
obrigatório
Token Bearer para autenticação. Formato: Bearer talq_your_environment_token_here

Exemplos

curl "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events?from=2024-01-15T00:00:00Z&to=2024-01-22T00:00:00Z" \
  -H "Authorization: Bearer talq_your_environment_token_here"

Resposta

{
  "success": true,
  "data": [
    {
      "id": "event-uuid-1",
      "calendar_id": "calendar-uuid-1",
      "title": "Demo with Acme",
      "start_at": "2024-01-15T15:00:00Z",
      "end_at": "2024-01-15T15:30:00Z",
      "status": "confirmed",
      "type": "meeting"
    }
  ]
}